﻿//     Copyright (c) Sitecore Corporation 1999-2015
/* jshint unused: vars */
require.config({
    paths: {
        CommerceBasePage: "/sitecore/shell/client/Applications/MerchandisingManager/CommerceBasePage"
    }
});

define(["sitecore", "CommerceBasePage"], function (Sitecore, cbp) {
    var CommerceDashboard = cbp.extend({
        initialized: function () {
            cbp.prototype.initialized.call(this);
            this.SearchBox.on("change", this.search, this);
            this.set("selectedTab", "{48F27E86-CF43-4F27-BCDD-92EAB9777746}");
            this.HelpProvider.set("isReady", true);
            this.HelpProvider.refresh();
            this.StatisticsGroup.viewModel.$el.find("a").each(
                function (index) {
                    var text = this.textContent.split('|')[0];
                    var number = this.textContent.split('|')[1];
                    this.innerHTML = "<span>" + text + "</span><span class='dash-number'>" + number + "</span>";
                }
            );

            var items = [{ name: "Adventure Works Catalog", action: "Import", status: "100%", started: "5.23.2014 8:34 PM", finished: "5.23.2014 8:34 PM", notes: "Lorem ipsum dolor sit amet, consecuter adiept..." },
                { name: "Adventure Works Catalog", action: "Import", status: "57%", started: "5.23.2014 8:34 PM", finished: "5.23.2014 8:34 PM", notes: "Lorem ipsum dolor sit amet, consecuter adiept..." },
                { name: "Adventure Works Catalog", action: "Import", status: "Error", started: "5.23.2014 8:34 PM", finished: "5.23.2014 8:34 PM", notes: "Lorem ipsum dolor sit amet, consecuter adiept..." }
                ];

            this.ProcessStatusList.set("items", items);

        }
    });

    return CommerceDashboard;
});